Bug 29414 - Missing /usr/bin/mktextfm and /usr/bin/mktexmf symlinks
Summary: Missing /usr/bin/mktextfm and /usr/bin/mktexmf symlinks
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 28585
  Show dependency treegraph
 
Reported: 2021-08-26 16:26 CEST by Artem Kurashov
Modified: 2021-09-02 02:04 CEST (History)
1 user (show)

See Also:
Source RPM: texlive-texmf-20200406-5.mga8.src.rpm, texlive-texmf-20200406-7.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Artem Kurashov 2021-08-26 16:26:58 CEST
Symlink for /usr/share/texmf-dist/scripts/texlive/mktextfm doesn't exists.

mktexfmt needs for dynamic TFM files production. As a result, if the /usr/share/texmf-dist/scripts/texlive/ isn't in $PATH, pdflatex fails with error:
kpathsea: Running mktextfm larm1000
mktextfm: No such file or directory
kpathsea: Appending font creation commands to missfont.log.

! Font T2A/cmr/m/n/10=larm1000 at 10.0pt not loadable: Metric (TFM) file not fo
und.

Also mktextfm requires mktexmf. Without the proper /usr/bin/mktexmf symlink mktextfm also fails with error:
kpathsea: Running mktextfm larm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; ; nonstopmode; input larm1000
This is METAFONT, Version 2.7182818 (TeX Live 2020/Mageia) (preloaded base=mf)


kpathsea: Running mktexmf larm1000
mktexmf: No such file or directory
! I can't find file `larm1000'.
<*> ...four; mag:=1; ; nonstopmode; input larm1000

It's the patch that works for me: https://saahriktu.org/mageia/texlive-texmf-add_mktextfm_and_mktexmf.patch
Comment 1 Lewis Smith 2021-08-26 21:01:00 CEST
Thank you for the report and your correction of the problem.

Assigning to MarcK, packager for this SRPM.

Assignee: bugsquad => mageia
Source RPM: texlive-texmf-20200406-5.mga8.src.rpm and texlive-texmf-20200406-7.mga8.src.rpm => texlive-texmf-20200406-5.mga8.src.rpm, texlive-texmf-20200406-7.mga8.src.rpm

Comment 2 Marc Krämer 2021-08-30 23:35:24 CEST
Updated texlive package fix missing symlinks:

during tex run some programs are missing in path variable. This update adds the missing programs as symlinks.

========================

Updated packages in core/updates_testing:
========================

texlive-fonts-asian-20200406-7.1.mga8.noarch.rpm
texlive-collection-basic-20200406-7.1.mga8.noarch.rpm
texlive-context-20200406-7.1.mga8.noarch.rpm
texlive-fonts-sources-20200406-7.1.mga8.noarch.rpm
texlive-texmf-20200406-7.1.mga8.noarch.rpm
texlive-fontsextra-20200406-7.1.mga8.noarch.rpm
texlive-dist-20200406-7.1.mga8.noarch.rpm
texlive-doc-20200406-7.1.mga8.noarch.rpm

SRPM:
texlive-texmf-20200406-7.1.mga8.src.rpm

Assignee: mageia => qa-bugs

Comment 3 Thomas Andrews 2021-09-01 20:50:39 CEST
There is another texlive update that has been waiting for feedback on an issue for 48 days. The reason that update was not passed on is summarized in https://bugs.mageia.org/show_bug.cgi?id=28585#c9 Specifically, some man pages that didn't belong with texlive-collection-basic were removed by the update, but doing so that way also removed them from the package to which they DO belong.

Does this update address that issue, too? If not, and it simply removes the offending man pages as happened in Bug 28585, this update should not be approved, either. We cannot have an update remove files that belong with an unrelated package, even if they are "only" man pages.

CC: (none) => andrewsfarm

Comment 4 Thomas Andrews 2021-09-01 23:50:51 CEST
Installed texlive packages in an M8 Plasma guest in VirtualBox. Checked, and the two symlinks were not there. Used qarepo to update the packages, with no installation issues. Checked again, and /usr/bin/mktexmf and /usr/bin/mktexfm symlinks are now both there. So that part is fixed.

With regard to the man page issues of Bug 28585, I checked before installing anything, and psutils, including the man pages, was already installed on this system. After installing our present texlive-collection-basic, the man pages were still there. Updating texlive-collection-basic from testing removed the man pages for psutils and psjoin, which should still be there as they are part of the psutils packages. 

What I would propose is this: We could go ahead and push this update, knowing it will remove those man pages. Once that is done, after a short wait to allow users to complete this update, we should push a second bug to update psutils and restore those man pages. That should take care of it.

If anybody has a better idea, I'm more than willing to listen.
Comment 5 Thomas Backlund 2021-09-02 00:32:50 CEST
This is a packaging issue.

the correct fix is to use pretrans/posttrans to fix up the mess...

basically move/rename affected files in pretrans and restore them in posttrans
Comment 6 Thomas Andrews 2021-09-02 02:04:14 CEST
Well, however it gets fixed, it needs to be taken care of before things go any further. Setting Bug 28585 as a block for this one.

Blocks: (none) => 28585


Note You need to log in before you can comment on or make changes to this bug.